Package eu.mhsl.minenet.minigames.world.generator

# Class PlaneGenerator

java.lang.Object
eu.mhsl.minenet.minigames.world.generator.PlaneGenerator

All Implemented Interfaces:
  `net.minestom.server.instance.generator.Generator`

public class PlaneGenerator extends Object implements net.minestom.server.instance.generator.Generator

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlaneGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generate(@NotNull net.minestom.server.instance.generator.GenerationUnit unit)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface net.minestom.server.instance.generator.Generator

  `generateAll`

- ## Constructor Details

  - ### PlaneGenerator

    public PlaneGenerator()

- ## Method Details

  - ### generate

    public void generate(@NotNull @NotNull net.minestom.server.instance.generator.GenerationUnit unit)
    Specified by:
      `generate` in interface `net.minestom.server.instance.generator.Generator`